The schema of a credential
GET
/issuer/schemas/{id}
const url = 'https://example.com/issuer/schemas/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/issuer/schemas/exampleThe JSON Schema of the credentialSubject of a credential this issuer offers.
Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The id of the credential in the issuer metadata.
Responses
Section titled “Responses”A JSON Schema.
Media typeapplication/schema+json
object
Example generated
{}Not found.
Media typeapplication/json
The body of every failed call to a management API.
object
error
required
object
code
required
Stable, machine-readable: invalid_request, unauthenticated,
forbidden, not_found, conflict, upstream_unavailable,
unavailable, internal, or a more specific code of the operation.
string
message
required
For people; may change between versions.
string
Example
{ "error": { "code": "not_found", "message": "unknown negotiation" }}